Bug 741742 - fedpkg switch-branch does not create branches as advertised
Summary: fedpkg switch-branch does not create branches as advertised
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpkg
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-27 19:32 UTC by john5342
Modified: 2013-01-10 06:39 UTC (History)
3 users (show)

Fixed In Version: fedpkg-1.9-1.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-31 02:57:56 UTC
Type: ---


Attachments (Terms of Use)

Description john5342 2011-09-27 19:32:19 UTC
Description of problem:
The help text for fedpkg switch-branch includes the following:

positional arguments:
  branch      Switch to or create branch

I understand that to mean that if i give it a branch name that doesn't exist it will create it. Instead it doesn't create it and fails.


Version-Release number of selected component (if applicable):
fedora-packager-0.5.9.2-2.fc15

How reproducible:
Always

Steps to Reproduce:
1. Checkout any package with fedpkg
2. Run e.g. "fedpkg switch-branch f15-trial-my-new-build-method"
  
Actual results:
Fails with: "Unable to switch to another branch: Unknown remote branch f15-trial-my-new-build-method"

Expected results:
Either create the branch and switch to it, don't document the feature or perhaps suggest using git branch instead.

Comment 1 Jesse Keating 2011-09-27 19:51:34 UTC
I need to re-word that better.

If you give a branch name that matches a remote branch, it will create the local branch and link it to the remote branch.  But if you give it a name that doesn't match a remote branch, it will give up.

I should update the doc to make that more clear, and give an option to create a local branch anyway if there is no remote match.

Comment 2 Jesse Keating 2012-03-02 23:27:18 UTC
Fixed in 2c25a0f

Comment 3 Fedora Update System 2012-03-12 23:56:29 UTC
rpkg-1.14-1.fc16,fedpkg-1.9-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/rpkg-1.14-1.fc16,fedpkg-1.9-1.fc16

Comment 4 Fedora Update System 2012-03-12 23:57:02 UTC
fedpkg-1.9-1.fc15,rpkg-1.14-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fedpkg-1.9-1.fc15,rpkg-1.14-1.fc15

Comment 5 Fedora Update System 2012-03-12 23:57:30 UTC
fedpkg-1.9-1.fc17,rpkg-1.14-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fedpkg-1.9-1.fc17,rpkg-1.14-1.fc17

Comment 6 Fedora Update System 2012-03-13 17:10:55 UTC
Package fedpkg-1.9-1.fc17, rpkg-1.14-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fedpkg-1.9-1.fc17 rpkg-1.14-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-3682/fedpkg-1.9-1.fc17,rpkg-1.14-1.fc17
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2012-03-31 02:57:56 UTC
fedpkg-1.9-1.fc15, rpkg-1.15-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2012-03-31 03:21:05 UTC
fedpkg-1.9-1.fc16, rpkg-1.15-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2012-04-12 02:06:50 UTC
fedpkg-1.9-1.fc17, rpkg-1.15-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.